Bug 1124754 - Django application with python 3.3 cartridge can not work correctly.
Summary: Django application with python 3.3 cartridge can not work correctly.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 913062
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 08:54 UTC by Johnny Liu
Modified: 2016-10-28 13:55 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 913062
Environment:
Last Closed: 2016-10-28 13:55:39 UTC


Attachments (Terms of Use)

Description Johnny Liu 2014-07-30 08:54:25 UTC
+++ This bug was initially created as a clone of Bug #913062 +++

Description of problem:

When creating django application on STG, choose python 2.7 cartridge or python 3.3 cartridge, the application can be created successfully, but the url of the application can not be accessed, always met "503 Service Temporarily Unavailable" error.

Version-Release number of selected component (if applicable):
PROD
STG(devenv-stage_297)

How reproducible:
always

Steps to Reproduce:
1.Go to openshift website and login
2.Go to application creation page
3.Choose python 2.7 or python 3.3 when creating django application
4.Try to access url of the django application
  
Actual results:

The django application with python2.7 or python3.3 cartridge can not work correctly.

Expected results:

The django application should work correctly with python2.7 and python3.3 cartridge.

Additional info:

--- Additional comment from Yujie Zhang on 2013-06-14 06:35:12 EDT ---

Tested on devenv_3360, there is no python2.7 and python3.3 options when creating django, this issue does not exist, I will verify this bug once it is on qa, thanks.

--- Additional comment from Andy Grimm on 2013-08-16 15:10:46 EDT ---

The issue here is that there is no similarity between the python 2.6 cartridge version and the 2.7 and 3.3 stuff that was pulled into the cartridge later.  The 2.6 version is apache-based and uses system python, while the others expect to run a standalone python application.

I've been told by Rob Millner that future versions of the python cartridge will look for app.py and run apache if app.py does not exist.  That seems like a reasonable way to deal with this issue.

--- Additional comment from Oleg Fayans on 2013-09-04 03:17:05 EDT ---

Would be nice to have a blog post about how to run a django app with python-2.7 in Openshift. With step-by-step setup description.

--- Additional comment from Andy Grimm on 2013-09-20 10:11:19 EDT ---

The code for the python cartridge has changed.  I successfully ran django with python 3.3 this week in a non-scaled app, but a user did report an issue with a scaled app, so further testing is needed.

--- Additional comment from Nan Wei on 2014-03-19 05:46:31 EDT ---

Openshift enterprise: 2.1/2014-03-17.2

[root@broker ~]# rhc app create django3 python-3.3 --from-code=https://github.com/openshift/django-example
Application Options
-------------------
Domain:      nweidomain
Cartridges:  python-3.3
Source Code: https://github.com/openshift/django-example
Gear Size:   medium
Scaling:     no

Creating application 'django3' ... 
The initial build for the application failed: Shell command '/sbin/runuser -s /bin/sh 532959578fcf31d549000044 -c "exec /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c1,c83' /bin/sh
-c \"gear postreceive --init >> /tmp/initial-build.log 2>&1\""' returned an error. rc=255

.Last 10 kB of build output:
578fcf31d549000044/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/simplejson/encoder.py", line 254
    False=False,
        ^
SyntaxError: invalid syntax

  File "/var/lib/openshift/532959578fcf31d549000044/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/simplejson/tool.py", line
28
    except ValueError, e:

python-2.6 and python-2.7 work well.

--- Additional comment from Oleg Fayans on 2013-05-29 08:47:06 EDT ---

(In reply to ofayans@redhat.com from comment #2)
> additional details can be found in
> https://bugzilla.redhat.com/show_bug.cgi?id=963196

In https://bugzilla.redhat.com/show_bug.cgi?id=968298, I meant of course

--- Additional comment from Oleg Fayans on 2013-05-29 08:47:55 EDT ---jango/utils/simplejson/tool.py", line 28
remote:     except ValueError, e:
remote:                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/utils/simplejson/encoder.py", line 254
remote:     False=False,
remote:         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/utils/unittest/suite.py", line 141
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/utils/unittest/loader.py", line 92
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/utils/unittest/main.py", line 102
remote:     print msg
remote:             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/utils/unittest/case.py", line 327
remote:     except SkipTest, e:
remote:                    ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/utils/encoding.py", line 91
remote:     except UnicodeDecodeError, e:
remote:                              ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/views/debug.py", line 80
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/tests/test_measure.py", line 67
remote:     except TypeError, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/gdal/tests/test_ds.py", line 62
remote:     print "\nBEGIN - expecting out of range feature id error; safe to ignore.\n"
remote:                                                                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/gdal/tests/test_geom.py", line 237
remote:     print "\nBEGIN - expecting IllegalArgumentException; safe to ignore.\n"
remote:                                                                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/management/commands/ogrinspect.py", line 90
remote:     except gdal.OGRException, msg:
remote:                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/utils/layermapping.py", line 433
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/utils/ogrinfo.py", line 25
remote:     print "data source : %s" % data_source.name
remote:                            ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/geos/tests/test_geos.py", line 137
remote:     print "\nBEGIN - expecting GEOS_ERROR; safe to ignore.\n"
remote:                                                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/geometry/backend/__init__.py", line 9
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/db/backends/spatialite/creation.py", line 27
remote:     print "Creating test database for alias '%s'%s..." % (self.connection.alias, test_db_repr)
remote:                                                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/db/backends/spatialite/base.py", line 59
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/db/backends/spatialite/operations.py", line 125
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/db/backends/oracle/introspection.py", line 19
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/db/backends/postgis/operations.py", line 110
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/gis/db/backends/base.py", line 167
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/admindocs/views.py", line 321
remote:     except template.InvalidTemplateLibrary, e:
remote:                                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/admin/tests.py", line 21
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/admin/util.py", line 156
remote:     except models.ProtectedError, e:
remote:                                 ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/admin/views/main.py", line 142
remote:     except FieldDoesNotExist, e:
remote:                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/auth/management/__init__.py", line 57
remote:     print "Adding permission '%s'" % obj
remote:                                  ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/auth/__init__.py", line 15
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/messages/storage/__init__.py", line 18
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/staticfiles/finders.py", line 263
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/staticfiles/handlers.py", line 59
remote:     except Http404, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/markup/tests.py", line 90
remote:     except AssertionError, e:
remote:                          ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/comments/views/comments.py", line 69
remote:     except (ValueError, ValidationError), e:
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/sessions/backends/file.py", line 93
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/localflavor/hr/forms.py", line 22
remote:     plate_re = re.compile(ur'^(?P<prefix>[A-Z\u010c\u0160\u017d]{2})' + \
remote:                                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/localflavor/mk/forms.py", line 25
remote:     regex = ur'(^[A-Z]{1}\d{7}$)|(^\d{4,7}$)'
remote:                                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/localflavor/mx/forms.py", line 69
remote:     zip_code_re = ur'^(0[1-9]|[1][0-6]|[2-9]\d)(\d{3})$'
remote:                                                        ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/formtools/wizard/storage/__init__.py", line 13
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/sites/management.py", line 21
remote:     print "Creating example.com Site object"
remote:                                            ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/contrib/contenttypes/management.py", line 42
remote:     print "Adding content type '%s | %s'" % (ct.app_label, ct.model)
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/conf/__init__.py", line 94
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/signing.py", line 79
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/sql.py", line 173
remote:     statement = re.sub(ur"--.*([\n\Z]|$)", "", statement)
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/createcachetable.py", line 57
remote:     except DatabaseError, e:
remote:                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/runserver.py", line 112
remote:     except WSGIServerException, e:
remote:                               ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/syncdb.py", line 41
remote:     except ImportError, exc:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/reset.py", line 52
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/dumpdata.py", line 114
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/loaddata.py", line 197
remote:     except (DatabaseError, IntegrityError), e:
remote:                                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/commands/flush.py", line 58
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/__init__.py", line 54
remote:     except ImportError,e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/templates.py", line 85
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/management/base.py", line 218
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/validators.py", line 64
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/cache/__init__.py", line 176
remote:     except (AttributeError, ImportError), e:
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/serializers/pyyaml.py", line 60
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/serializers/json.py", line 45
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/files/move.py", line 82
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/files/uploadhandler.py", line 207
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/files/storage.py", line 169
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/files/uploadedfile.py", line 78
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/handlers/base.py", line 46
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/servers/fastcgi.py", line 85
remote:     print FASTCGI_HELP
remote:                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/servers/basehttp.py", line 55
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/urlresolvers.py", line 301
remote:     except Resolver404, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/mail/backends/filebased.py", line 28
remote:     except OSError, err:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/core/mail/__init__.py", line 33
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/bin/unique-messages.py", line 14
remote:     print "this script should be run from the django svn tree or your project or app tree"
remote:                                                                                          ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/bin/profiling/gather_profile_stats.py", line 27
remote:     print "Processing %s" % f
remote:                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/dispatch/saferef.py", line 122
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/dispatch/dispatcher.py", line 208
remote:     except Exception, err:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/http/__init__.py", line 329
remote:     except IOError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/http/multipartparser.py", line 199
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/utils.py", line 25
remote:     except ImportError, e_user:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/models/query.py", line 208
remote:     except self.model.DoesNotExist, e:
remote:                                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/models/sql/query.py", line 1123
remote:     except MultiJoin, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/models/fields/__init__.py", line 155
remote:     except exceptions.ValidationError, e:
remote:                                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/models/base.py", line 804
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/sqlite3/creation.py", line 53
remote:     print "Destroying old test database '%s'..." % self.connection.alias
remote:                                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/sqlite3/base.py", line 27
remote:     except ImportError, e1:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/oracle/creation.py", line 65
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/oracle/base.py", line 21
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/creation.py", line 29
remote:     return '%x' % (abs(hash(args)) % 4294967296L)  # 2**32
remote:                                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/postgresql_psycopg2/base.py", line 23
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/db/backends/mysql/base.py", line 14
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/loaders/app_directories.py", line 22
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/loader.py", line 96
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/context.py", line 150
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/debug.py", line 75
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/defaultfilters.py", line 471
remote:     starttag_re = re.compile(ur'<%s(/?>|(\s+[^>]*>))' % tags_re, re.U)
remote:                                                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/base.py", line 268
remote:     except TemplateSyntaxError, e:
remote:                               ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "build/bdist.linux-x86_64/egg/django/template/defaulttags.py", line 186
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote: zip_safe flag not set; analyzing archive contents...
remote: django.utils.__pycache__.version.cpython-33: module references __path__
remote: django.utils.__pycache__.module_loading.cpython-33: module references __path__
remote: django.utils.__pycache__.autoreload.cpython-33: module references __file__
remote: django.utils.unittest.__pycache__.collector.cpython-33: module references __file__
remote: django.utils.translation.__pycache__.trans_real.cpython-33: module references __file__
remote: django.utils.translation.__pycache__.__init__.cpython-33: module references __file__
remote: django.views.__pycache__.i18n.cpython-33: module references __file__
remote: django.contrib.flatpages.tests.__pycache__.middleware.cpython-33: module references __file__
remote: django.contrib.flatpages.tests.__pycache__.templatetags.cpython-33: module references __file__
remote: django.contrib.flatpages.tests.__pycache__.csrf.cpython-33: module references __file__
remote: django.contrib.flatpages.tests.__pycache__.views.cpython-33: module references __file__
remote: django.contrib.gis.tests.geogapp.__pycache__.tests.cpython-33: module references __file__
remote: django.contrib.gis.tests.layermap.__pycache__.tests.cpython-33: module references __file__
remote: django.contrib.gis.tests.geo3d.__pycache__.tests.cpython-33: module references __file__
remote: django.contrib.gis.geometry.__pycache__.test_data.cpython-33: module references __file__
remote: django.contrib.auth.tests.__pycache__.forms.cpython-33: module references __file__
remote: django.contrib.auth.tests.__pycache__.views.cpython-33: module references __file__
remote: django.contrib.auth.tests.__pycache__.context_processors.cpython-33: module references __file__
remote: django.contrib.staticfiles.__pycache__.storage.cpython-33: module references __file__
remote: django.contrib.formtools.tests.__pycache__.__init__.cpython-33: module references __file__
remote: django.contrib.formtools.tests.wizard.namedwizardtests.__pycache__.tests.cpython-33: module references __file__
remote: django.contrib.formtools.tests.wizard.wizardtests.__pycache__.tests.cpython-33: module references __file__
remote: django.contrib.sitemaps.tests.__pycache__.base.cpython-33: module references __file__
remote: django.core.management.commands.__pycache__.makemessages.cpython-33: module references __file__
remote: django.db.models.__pycache__.loading.cpython-33: module references __file__
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/forms/util.py", line 69
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/forms/fields.py", line 135
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/forms/formsets.py", line 294
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/forms/forms.py", line 292
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/forms/models.py", line 327
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/test/_doctest.py", line 881
remote:     print 'Finding tests in %s' % name
remote:                               ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/test/client.py", line 382
remote:     except TemplateDoesNotExist, e:
remote:                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/test/testcases.py", line 88
remote:     except HTMLParseError, e:
remote:                          ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/dictconfig.py", line 300
remote:     except StandardError, e:
remote:                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/daemonize.py", line 6
remote:     err_log='/dev/null', umask=022):
remote:                                  ^
remote: SyntaxError: invalid token
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/decorators.py", line 92
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/encoding.py", line 91
remote:     except UnicodeDecodeError, e:
remote:                              ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/simplejson/decoder.py", line 139
remote:     def JSONObject((s, end), encoding, strict, scan_once, object_hook, _w=WHITESPACE.match, _ws=WHITESPACE_STR):
remote:                    ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/simplejson/tool.py", line 28
remote:     except ValueError, e:
remote:                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/simplejson/encoder.py", line 254
remote:     False=False,
remote:         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/unittest/suite.py", line 141
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/unittest/loader.py", line 92
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/unittest/main.py", line 102
remote:     print msg
remote:             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/utils/unittest/case.py", line 327
remote:     except SkipTest, e:
remote:                    ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/views/debug.py", line 80
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/tests/test_measure.py", line 67
remote:     except TypeError, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/gdal/tests/test_ds.py", line 62
remote:     print "\nBEGIN - expecting out of range feature id error; safe to ignore.\n"
remote:                                                                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/gdal/tests/test_geom.py", line 237
remote:     print "\nBEGIN - expecting IllegalArgumentException; safe to ignore.\n"
remote:                                                                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/management/commands/ogrinspect.py", line 90
remote:     except gdal.OGRException, msg:
remote:                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/utils/layermapping.py", line 433
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/utils/ogrinfo.py", line 25
remote:     print "data source : %s" % data_source.name
remote:                            ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/geos/tests/test_geos.py", line 137
remote:     print "\nBEGIN - expecting GEOS_ERROR; safe to ignore.\n"
remote:                                                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/geometry/backend/__init__.py", line 9
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/db/backends/base.py", line 167
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/db/backends/spatialite/creation.py", line 27
remote:     print "Creating test database for alias '%s'%s..." % (self.connection.alias, test_db_repr)
remote:                                                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/db/backends/spatialite/base.py", line 59
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/db/backends/spatialite/operations.py", line 125
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/db/backends/oracle/introspection.py", line 19
remote:     except Exception, msg:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/gis/db/backends/postgis/operations.py", line 110
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/admindocs/views.py", line 321
remote:     except template.InvalidTemplateLibrary, e:
remote:                                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/admin/tests.py", line 21
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/admin/util.py", line 156
remote:     except models.ProtectedError, e:
remote:                                 ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/admin/views/main.py", line 142
remote:     except FieldDoesNotExist, e:
remote:                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/auth/__init__.py", line 15
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/auth/management/__init__.py", line 57
remote:     print "Adding permission '%s'" % obj
remote:                                  ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/messages/storage/__init__.py", line 18
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/staticfiles/finders.py", line 263
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/staticfiles/handlers.py", line 59
remote:     except Http404, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/markup/tests.py", line 90
remote:     except AssertionError, e:
remote:                          ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/comments/views/comments.py", line 69
remote:     except (ValueError, ValidationError), e:
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/sessions/backends/file.py", line 93
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/localflavor/hr/forms.py", line 22
remote:     plate_re = re.compile(ur'^(?P<prefix>[A-Z\u010c\u0160\u017d]{2})' + \
remote:                                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/localflavor/mk/forms.py", line 25
remote:     regex = ur'(^[A-Z]{1}\d{7}$)|(^\d{4,7}$)'
remote:                                             ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/localflavor/mx/forms.py", line 69
remote:     zip_code_re = ur'^(0[1-9]|[1][0-6]|[2-9]\d)(\d{3})$'
remote:                                                        ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/formtools/wizard/storage/__init__.py", line 13
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/sites/management.py", line 21
remote:     print "Creating example.com Site object"
remote:                                            ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/contrib/contenttypes/management.py", line 42
remote:     print "Adding content type '%s | %s'" % (ct.app_label, ct.model)
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/conf/__init__.py", line 94
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/signing.py", line 79
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/validators.py", line 64
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/urlresolvers.py", line 301
remote:     except Resolver404, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/sql.py", line 173
remote:     statement = re.sub(ur"--.*([\n\Z]|$)", "", statement)
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/__init__.py", line 54
remote:     except ImportError,e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/templates.py", line 85
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/base.py", line 218
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/createcachetable.py", line 57
remote:     except DatabaseError, e:
remote:                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/runserver.py", line 112
remote:     except WSGIServerException, e:
remote:                               ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/syncdb.py", line 41
remote:     except ImportError, exc:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/reset.py", line 52
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/dumpdata.py", line 114
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/loaddata.py", line 197
remote:     except (DatabaseError, IntegrityError), e:
remote:                                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/commands/flush.py", line 58
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/cache/__init__.py", line 176
remote:     except (AttributeError, ImportError), e:
remote:                                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/serializers/pyyaml.py", line 60
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/serializers/json.py", line 45
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/files/move.py", line 82
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/files/uploadhandler.py", line 207
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/files/storage.py", line 169
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/files/uploadedfile.py", line 78
remote:     except OSError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/handlers/base.py", line 46
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/servers/fastcgi.py", line 85
remote:     print FASTCGI_HELP
remote:                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/servers/basehttp.py", line 55
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/mail/__init__.py", line 33
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/mail/backends/filebased.py", line 28
remote:     except OSError, err:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/bin/unique-messages.py", line 14
remote:     print "this script should be run from the django svn tree or your project or app tree"
remote:                                                                                          ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/bin/profiling/gather_profile_stats.py", line 27
remote:     print "Processing %s" % f
remote:                         ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/dispatch/saferef.py", line 122
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/dispatch/dispatcher.py", line 208
remote:     except Exception, err:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/http/__init__.py", line 329
remote:     except IOError, e:
remote:                   ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/http/multipartparser.py", line 199
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/utils.py", line 25
remote:     except ImportError, e_user:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/models/query.py", line 208
remote:     except self.model.DoesNotExist, e:
remote:                                   ^
remote: SyntaxError: invalid syntax
remote: 
remote: Adding Django 1.4 to easy-install.pth file
remote: Installing django-admin.py script to /var/lib/openshift/53300e9b3e57d09a13000126/python/virtenv/venv/bin
remote: 
remote: Installed /var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg
remote: Finished processing dependencies for YourAppName==1.0
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/models/base.py", line 804
remote:     except ValidationError, e:
remote:                           ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/models/sql/query.py", line 1123
remote:     except MultiJoin, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/models/fields/__init__.py", line 155
remote:     except exceptions.ValidationError, e:
remote:                                      ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/creation.py", line 29
remote:     return '%x' % (abs(hash(args)) % 4294967296L)  # 2**32
remote:                                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/sqlite3/creation.py", line 53
remote:     print "Destroying old test database '%s'..." % self.connection.alias
remote:                                                ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/sqlite3/base.py", line 27
remote:     except ImportError, e1:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/oracle/creation.py", line 65
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/oracle/base.py", line 21
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/postgresql_psycopg2/base.py", line 23
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/db/backends/mysql/base.py", line 14
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/loader.py", line 96
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/context.py", line 150
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/debug.py", line 75
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/defaultfilters.py", line 471
remote:     starttag_re = re.compile(ur'<%s(/?>|(\s+[^>]*>))' % tags_re, re.U)
remote:                                                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/base.py", line 268
remote:     except TemplateSyntaxError, e:
remote:                               ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/defaulttags.py", line 186
remote:     except Exception, e:
remote:                     ^
remote: SyntaxError: invalid syntax
remote: 
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/dependencies/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/template/loaders/app_directories.py", line 22
remote:     except ImportError, e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: 
remote: Preparing build for deployment
remote: Deployment id is c11a3b1b
remote: Activating deployment
remote: /var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/repo/.openshift/action_hooks/deploy: line 7: /var/lib/openshift/53300e9b3e57d09a13000126//python/virtenv/bin/activate: No such file or directory
remote: Copying /var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/repo//wsgi/openshift/sqlite3.db to /var/lib/openshift/53300e9b3e57d09a13000126/app-root/data/
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/repo/.openshift/action_hooks/secure_db.py", line 42
remote:     print "Django application credentials:\n\tuser: admin\n\t" + new_pass
remote:                                                              ^
remote: SyntaxError: invalid syntax
remote: Executing 'python /var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/repo//wsgi/openshift/manage.py collectstatic --noinput'
remote: Traceback (most recent call last):
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/app-root/runtime/repo/wsgi/openshift/manage.py", line 2, in <module>
remote:     from django.core.management import execute_manager
remote:   File "/var/lib/openshift/53300e9b3e57d09a13000126/python/virtenv/venv/lib/python3.3/site-packages/Django-1.4-py3.3.egg/django/core/management/__init__.py", line 54
remote:     except ImportError,e:
remote:                       ^
remote: SyntaxError: invalid syntax
remote: -------------------------
remote: Git Post-Receive Result: failure
remote: Activation status: failure
remote: Activation failed for the following gears:
remote: 53300e9b3e57d09a13000126 (Error activating gear: CLIENT_ERROR: Failed to execute action hook 'deploy' for 53300e9b3e57d09a13000126 application django)
remote: Deployment completed with status: failure
remote: postreceive failed
To ssh://53300e9b3e57d09a13000126@django-wsundev4562.dev.rhcloud.com/~/git/django.git/
   de98d18..3e47392  master -> master

--- Additional comment from Vojtech Vitek on 2014-05-20 10:21:51 EDT ---



--- Additional comment from Balazs Varga on 2014-07-17 09:31:59 EDT ---

The problem is that Django 1.5 is the first version of Django to support Python 3 [1]

There are several issues / PRs for the example, we should rewrite or fix it if we'd like to maintain it in the future.

[1]: https://docs.djangoproject.com/en/1.6/topics/python3/
[2]: https://github.com/openshift/django-example

Comment 3 Gaoyun Pei 2015-07-02 09:05:31 UTC
This issue was fixed now. Test on puddle 2.2/2015-06-25.1.

#rhc app create django python-3.3 --from-code https://github.com/openshift/django-example

The app could be created and could be accessed.

No errors during creation and app log.

Comment 4 Ma xiaoqiang 2015-09-29 04:47:25 UTC
Test on puddle 2.2/2015-09-23.1

rhc app create django python-3.3/python-2.7 --from-code https://github.com/openshift/django-example

# curl http://django-xiaom.ose22-auto.com.cn/
<h1>Not Found</h1><p>The requested URL / was not found on this server.</p>

Can not access the application.

Comment 5 Gaoyun Pei 2015-12-07 04:41:53 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=1265112#c3, the django app was created as an empty Django application, so it's normal the app url returns such prompt. 
And there's no error during build and deployment steps, so move this bug as verified.


Note You need to log in before you can comment on or make changes to this bug.